%define	name	kalbum
%define	version	0.8.0
%define	release	%mkrel 10

Summary:	Application to create albums out of image collections 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://www.paldandy.com/kalbum/
Group:		Graphical desktop/KDE
Source0: 	%{name}-%{version}.tar.bz2
#48x48 icon
Source1:	%{name}.png.bz2
Source2:	%{name}-nb.po.bz2
Patch1:		%{name}.applnk.patch
Patch2:		%{name}-nb.patch
BuildRequires:  kdelibs-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Kalbum is a KDE 3 application that allows you to create albums
out of a collection of images. 

main features: 
* Easy to use thumbnail interface
* Export the albums as a complete web site
* Easy to edit html templates for creating a customized web site
* Drag and Drop

%prep
%setup -q
%patch1 -p0
%patch2 -p0 -b .orig
bzcat %{SOURCE2} > po/nb.po

%build

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--host=%{_target_platform} \
		--target=%{_target_platform} \
		--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-debug \
		--enable-final \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-xinerama
		
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT/%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Multimedia/Graphics" $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde
install -d $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir}}
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png $RPM_BUILD_ROOT%{_miconsdir}
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png $RPM_BUILD_ROOT%{_iconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#Relativisation of symlink, rpm fails to do it
rm -f $RPM_BUILD_ROOT/usr/share/doc/HTML/en/%{name}/common
ln -sf ../common $RPM_BUILD_ROOT/usr/share/doc/HTML/en/%{name}/common

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang 
%defattr(644,root,root,755)
%docdir %{name}-api
%doc %{name}-api/*.html
%doc %{_docdir}/HTML/*/%{name}
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applnk/Applications/%{name}.desktop
%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}/*
%{_datadir}/mimelnk/application/x-%{name}.desktop
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}



%changelog

* Mon Jul 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-9mdv2007.0
- Rebuild for new menu && extension

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-8mdk
- Fix redundant BuildRequires
	- libart_lgpl-devel already required by kdelibs-devel
	- libgamin-devel already required by kdelibs-devel
	- libmng-devel already required by kdelibs-devel
	- libjpeg-devel already required by kdelibs-devel

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-7mdk
- Fix redundant BuildRequires 
	- XFree86 already required by kdelibs-devel
	- qt3-devel already required by kdelibs-devel
	- zlib already required by png-devel
- %mkrel

* Wed Apr 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-6mdk
- Fix build for AMD64
- Fix xinerama

* Thu Jan 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-5mdk
- buildrequires libgamin-devel

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.0-4mdk
- Rebuild

